Settings
Set save path configuration
Configure the save directory, filename prefix, and start number.
PUT
/
api
/
cameras
/
{cameraId}
/
settings
/
save-info
Set save path configuration
curl --request PUT \
--url http://{host}:{port}/api/cameras/{cameraId}/settings/save-info \
--header 'Content-Type: application/json' \
--data '
{
"path": "<string>",
"prefix": "<string>",
"startNo": 123
}
'import requests
url = "http://{host}:{port}/api/cameras/{cameraId}/settings/save-info"
payload = {
"path": "<string>",
"prefix": "<string>",
"startNo": 123
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({path: '<string>', prefix: '<string>', startNo: 123})
};
fetch('http://{host}:{port}/api/cameras/{cameraId}/settings/save-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"camera": {
"connected": false,
"model": "ILCE-7M4",
"id": "D06CE05E3323"
},
"data": {}
}{
"success": false,
"message": "Camera not connected",
"camera": {
"connected": false,
"model": "ILCE-7M4",
"id": "D06CE05E3323"
}
}Path Parameters
Camera identifier (e.g. D10F60149B0C)
Body
application/json
Response
Save info set
Generic envelope returned by most camera operations. The shape of
data varies per endpoint — most operations return an empty or
null data; operations that return structured data document a
specific shape. SDK-generated types can treat data as an opaque
map for generic endpoints.
Previous
Save camera settings to PCDownload the camera's current settings to a file on the host PC.
Next
⌘I
Set save path configuration

